const app = getApp()
import { Base } from '../../../utils/base.js';
const base = new Base()
Page({
  data: {
    courseData: '',
    studentList : [],
    lessonList: [],
  },

  onLoad: function (options) {
    console.log(options.lesson_id)
    this.getclassdetail();
    this.getlessondetail();
  },
  getclassdetail: function () {
    const { coach_id, class_id} = this.data
    let params = {
      url : 'coach/classdetail',
      data : {
        coach_id : 5,
        class_id : 16
      },
      callback : (data) => {
        console.log(data)
        this.setData({
          courseData : data,
          studentList : data.class_students,
        })
      }
    }
    base.newRequest(params)
  },
  getlessondetail: function () {
    const {coach_id, class_id,lesson_id} = this.data
    let params = {
      url:'coach/lessondetail',
      data:{
        coach_id : 5,
        class_id : 16,
        lesson_id : 69
      },
      callback : (data) => {
        console.log(data)
        this.setData({
          lessonList:data
        })
      }
    }
    base.newRequest(params)
  },
  goclassDetail:function(){
    wx.navigateTo({
      url: '../../index/classDetail/classDetail',
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

 

  
})